[arch-commits] Commit in kdeplasma-applets-networkmanager/trunk (2 files)

Andrea Scarpino andrea at archlinux.org
Tue Nov 10 06:04:35 EST 2009


    Date: Tuesday, November 10, 2009 @ 06:04:34
  Author: andrea
Revision: 58614

upgpkg: kdeplasma-applets-networkmanager 1047027-1
    new snapshot; remove the commit that install the whole plasmoid by default

Added:
  kdeplasma-applets-networkmanager/trunk/remove-i-know-what-am-doing.patch
Modified:
  kdeplasma-applets-networkmanager/trunk/PKGBUILD

-----------------------------------+
 PKGBUILD                          |   12 +++++++++---
 remove-i-know-what-am-doing.patch |   14 ++++++++++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-10 10:39:44 UTC (rev 58613)
+++ PKGBUILD	2009-11-10 11:04:34 UTC (rev 58614)
@@ -3,7 +3,7 @@
 # Contributor: Jakub Schmidtke <sjakub-at-gmail.com>
 
 pkgname=kdeplasma-applets-networkmanager
-pkgver=1040936
+pkgver=1047027
 pkgrel=1
 pkgdesc="KDE4 NetworkManager plasmoid"
 arch=('i686' 'x86_64')
@@ -14,10 +14,16 @@
 conflicts=('networkmanager-plasmoid-svn')
 replaces=('networkmanager-plasmoid-svn')
 #svn co -q svn://websvn.kde.org:443/home/kde/trunk/playground/base/plasma/applets/networkmanager/ kdeplasma-applets-networkmanager
-source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2")
-md5sums=('da1b7a439ea03b7db5339b90d313f2ad')
+source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2"
+	'remove-i-know-what-am-doing.patch')
+md5sums=('ab554dfe2f503f176d33168f3042c80b'
+         'f4edca116beef0d70a93b5709b854e54')
 
 build() {
+  cd ${srcdir}/${pkgname}
+  # we can't build plasmoid with qt 4.5
+  patch -R -p6 -i ${srcdir}/remove-i-know-what-am-doing.patch || return 1
+
   cd ${srcdir}
   mkdir build
   cd build

Added: remove-i-know-what-am-doing.patch
===================================================================
--- remove-i-know-what-am-doing.patch	                        (rev 0)
+++ remove-i-know-what-am-doing.patch	2009-11-10 11:04:34 UTC (rev 58614)
@@ -0,0 +1,14 @@
+--- trunk/playground/base/plasma/applets/networkmanager/applet/CMakeLists.txt	2009/11/06 21:19:15	1045850
++++ trunk/playground/base/plasma/applets/networkmanager/applet/CMakeLists.txt	2009/11/06 21:19:26	1045851
+@@ -21,11 +21,6 @@
+ 
+ kde4_add_ui_files(networkmanager_SRCS nmConfig.ui )
+ 
+-if(NOT I_KNOW_WHAT_IM_DOING)
+-   set(networkmanager_SRCS applet_wip.cpp)
+-   message(STATUS "Compiling dummy plasmoid because the real one is still work in progress...")
+-endif(NOT I_KNOW_WHAT_IM_DOING)
+-
+ kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
+ target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol)
+ 



More information about the arch-commits mailing list